package com.winhc.repal.cloud.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description: v8动态信息
 * @author: Anakin
 * @date 2021.8.2 10:40
 */
@Data
@ApiModel(description = "v8 动态信息")
public class V8DynamicVO {
    @ApiModelProperty("ID")
    private String id;
    @ApiModelProperty("实体对象列表")
    private List<AssociationEntityInfo> associationEntityInfo;
    @ApiModelProperty("业务变更时间 yyyy-MM-dd")
    private String bizTime;
    @ApiModelProperty("0 非历史， 1 历史")
    private String deleted;
    @ApiModelProperty("动态CODE")
    private String dynamicCode;
    @ApiModelProperty("动态内容")
    private String dynamicInfo;
    @ApiModelProperty("动态JSON内容")
    private List<DynamicDataBO> dynamicJSON;
    @ApiModelProperty("动态时间 yyyy-MM-dd")
    private String dynamicTime;
    @ApiModelProperty("详情Key")
    private String rowkey;
    @ApiModelProperty("动态类型")
    private String tn;
    @ApiModelProperty("动态类型")
    private String infoType;
    @ApiModelProperty("风险等级 利好(0),提示(1),警示(2),高风险(3)")
    private String riskLevel;
}
