package com.winhc.repal.controller;

import com.winhc.common.base.BeanResponse;
import com.winhc.common.enums.CodeMsg;
import com.winhc.common.model.base.VOPage;
import com.winhc.common.util.ResultUtil;
import com.winhc.repal.common.BaseController;
import com.winhc.repal.model.dto.RepalRemindHistoryDTO;
import com.winhc.repal.model.vo.RepalRemindCountVO;
import com.winhc.repal.model.vo.RepalRemindHistoryCountVO;
import com.winhc.repal.model.vo.RepalRemindHistoryVO;
import com.winhc.repal.service.RepalRemindHistoryService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import lombok.extern.slf4j.Slf4j;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * @description AccountRemindHistory Controller
 * @author Generator
 * @date 2020-12-14
 */
@Slf4j
@Api(tags = "智能监测")
@RestController
@RequestMapping("repalRemind")
public class RepalRemindHistoryController extends BaseController {
    @Autowired
    private RepalRemindHistoryService accountRemindHistoryService;

    @GetMapping("/{id}")
    @ApiOperation(value = "根据id查询智能监测详情")
    public BeanResponse<RepalRemindHistoryVO> find(@PathVariable Long id) {
        return BeanResponse.success(CodeMsg.SUCCESS,accountRemindHistoryService.getDetailById(id, getUser()));
    }


    @GetMapping("/page")
    @ApiOperation(value = "根据条件查询智能监测")
    public BeanResponse<VOPage<RepalRemindHistoryVO>> page(RepalRemindHistoryDTO dto,
                                                           @RequestParam(required = false,defaultValue = "1") Integer pageNum,
                                                           @RequestParam(required = false,defaultValue = "10") Integer pageSize) {
        return BeanResponse.success(CodeMsg.SUCCESS,accountRemindHistoryService.find(dto, pageNum, pageSize, getUser()));
    }

    @GetMapping("/count/withunread")
    @ApiOperation(value = "新版数量")
    public BeanResponse<RepalRemindCountVO> queryRemindCount(RepalRemindHistoryDTO dto){
        return BeanResponse.success(CodeMsg.SUCCESS,accountRemindHistoryService.queryRemidCount(dto,getUser()));
    }
//
//    @GetMapping("/count")
//    @ApiOperation(value = "筛选条件数量")
//    public BeanResponse<List<RepalRemindHistoryCountVO>> queryCount(RepalRemindHistoryDTO dto){
//        dto.setUserId(getUser().getUserId());
//        return BeanResponse.success(CodeMsg.SUCCESS,accountRemindHistoryService.queryCount(dto));
//    }
}
