package com.winhc.repal.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * @Description: AddRepalBillDTO
 * @Author: xda
 * @Date: 2022/4/15 12:18
 */
@Data
@ApiModel("新增账款")
public class AddRepalBillDTO {

    @ApiModelProperty("账本id")
    private Long repalBookId;

    @ApiModelProperty(required = true, value = "账款总金额")
    private BigDecimal totalMoney;

    @ApiModelProperty(value = "账款阶段1未起诉，2已起诉，3已申请执行，4终结本次执行")
    private Integer repalBillStage;

    @ApiModelProperty(required = true, value = "账款类型。1应收。2应付")
    private Integer repalBillType;

    @ApiModelProperty(required = true, value = "应收账款日期string")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    @ApiModelProperty(value = "账款备注")
    private String billRemark;

    @ApiModelProperty(required = true, value = "客户id")
    private String customerId;

    @ApiModelProperty(value = "合同name")
    private String contractName;

    @ApiModelProperty(value = "负责人idList", required = true)
    private List<Long> responsiblePersonIdList;

    @ApiModelProperty(value = "合同到期日期string")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate contractEndDate;

    @ApiModelProperty(value = "合同list")
    private List<String> contractUrlList;
}
