package com.winhc.repal.mq.bean;

import com.winhc.repal.cloud.dto.DiagnosisDebtorDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @description: 智能风控请求数据的传输
 * @author: yujie
 * @date 2020.3.18 11:04
 */
@Data
@Accessors(chain = true)
@AllArgsConstructor
@NoArgsConstructor
public class RiskScoreDataTransfer {

    // 业务ID
    private Long bizId;
    // 报告类型:0资信的调查报告;1案件动态报告;2债权穿透报告;3债权监测报告;4律师匹配报告；5简易资信报告
    private Integer reportType;
    // 优先级 越低优先级越高
    private int priority;

    // 案件标的
    private Double biaodiAmt;

    // 结果数据主键ID
    private String mId;


    // 待评分的列表
    private List<DiagnosisDebtorDTO> diagnosisDebtorDTOS;
    /**
     * 时候需要回调
     */
    private boolean requireCallback;

    @ApiModelProperty(value = "ABCD")
    private String grade;

    @ApiModelProperty("诊断评分")
    private Double score;

    // 待评分(0), 评分完成(1), 评分失败(3)
    private Integer status;
}
