package com.winhc.repal.service;

import com.module.login.usersession.UserBean;
import com.winhc.repal.entity.RepalCustomer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.*;
import com.winhc.repal.model.vo.RepalCustomerDetailVO;
import com.winhc.repal.model.vo.RepalCustomerInfoVO;
import com.winhc.repal.model.vo.RepalCustomerSimpleVO;
import com.winhc.repal.model.vo.RepalLinkVO;

import java.util.List;


/**
 * @description RepalCustomer 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalCustomerService extends IService<RepalCustomer> {
     /**
      * 根据组织编号查询客户列表
      * @return
      */
     List<RepalCustomerSimpleVO> getCustList(Integer custType);

     /**
      * 分页查询客户
      * @param dto
      * @return
      */
     VOPage<RepalCustomerInfoVO> find(RepalCustomerQueryDTO dto,UserBean userBean);

     /**
      * 添加客户
      * @param dto
      * @return
      */
     RepalCustomerDetailVO addCustomer(RepalCustomerDTO dto,UserBean userBean);

     /**
      * 修改客户
      * @param dto
      * @param userBean
      * @return
      */
     RepalCustomerDetailVO updateCustomer(RepalCustomerUpdateDTO dto, UserBean userBean);

     /**
      * 根据id查询客户详情
      * @param custId
      * @return
      */
     RepalCustomerDetailVO getDetailById(Long custId,UserBean userBean,Integer custType);

     /**
      * 删除客户/供应商
      * @param custId
      * @return
      */
     Boolean deleteCustomer(Long custId, UserBean userBean);

     /**
      * 查询账款的
      * @param custId
      * @return
      */
     List<RepalLinkVO> queryLink(Long custId);

     /**
      * 添加或者修改联系人
      * @param dto
      * @return
      */
     RepalLinkVO updateLink(RepalLinkUpdateDTO dto);
}
