package com.winhc.repal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.entity.RepalGroupMember;
import com.winhc.repal.model.vo.GroupRoleMemberVO;

import java.util.List;


/**
 * @description RepalGroupMember 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalGroupMemberService extends IService<RepalGroupMember> {

    /**
     * 获取用户组织id
     * @param userId userId
     * @return java.lang.Long
     * @author xda
     * @date 2022/5/6 11:00
     */
    Long getUserGroupId(Long userId);

    /**
     * 添加组织成员
     * @param userId userId
     * @param userName userName
     * @param groupId groupId
     * @param roleId roleId
     * @param roleType roleType
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/6 14:25
     */
    Boolean addGroupMember(Long userId, String userName, Long groupId, Long roleId, Integer roleType);


    /**
     * 修改可见性
     * @param type type
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/9 11:13
     */
    Boolean updateVisible(Integer type);

    /**
     * 获取可见性
     * @param type type
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/9 11:26
     */
    Boolean getMemberVisible(Integer type);


    /**
     * 获取组织角色成员列表
     * @return java.util.List<com.winhc.repal.model.vo.GroupRoleMemberVO>
     * @author xda
     * @date 2022/5/10 14:47
     */
    List<GroupRoleMemberVO> getGroupRoleMemberList();


}
