package com.winhc.repal.service;

import com.winhc.repal.entity.RepalLink;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalLinkDTO;
import com.winhc.repal.model.vo.RepalLinkVO;
import java.util.List;


/**
 * @description RepalLink 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalLinkService extends IService<RepalLink> {

    /**
    * add RepalLink
    * @param dto data transfer object
    */
    void add(RepalLinkDTO dto);

    /**
    * update RepalLink
    * @param id key
    * @param dto data transfer object
    */
    void update(Long id, RepalLinkDTO dto);

    /**
    * delete RepalLink
    * @param id key
    */
    void delete(Long id);

    /**
    * find RepalLink
    * @param id key
    * @return RepalLink
    */
    RepalLinkVO find(Long id);

    /**
    * find RepalLink list
    * @param dto data transfer object
    * @return list of RepalLink
    */
    List<RepalLinkVO> find(RepalLinkDTO dto);

     /**
     * find RepalLink page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of RepalLink
     */
     VOPage<RepalLinkVO> find(RepalLinkDTO dto, Integer pageNum, Integer pageSize);
}
