package com.winhc.repal.service.impl;

import com.winhc.repal.enums.MsgKindEnum;
import com.winhc.repal.enums.MsgNameEnum;
import com.winhc.repal.mq.bean.SendMsgBean;
import com.winhc.repal.mq.producer.MessageSendService;
import com.winhc.repal.service.MessageNoticeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

@Service("messageNoticeService")
@Slf4j
public class MessageNoticeServiceImpl implements MessageNoticeService {

    @Resource
    private MessageSendService messageSendService;

    @Override
    public String sendSms(String mobileNo, MsgNameEnum name, Map<String, String> param) {
        log.info("短信推送, mobileNo:" + mobileNo + ", biz:" + name.name());
        SendMsgBean sendMsgBean = new SendMsgBean();
        sendMsgBean.setMessageChannel(MsgKindEnum.sms.name());
        sendMsgBean.setBizName(name.name());
        sendMsgBean.setParam(param);
        sendMsgBean.setSendTarget(mobileNo);
        messageSendService.send(sendMsgBean);
        return "SUCCESS";
    }
}
